org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQLQueryTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryTest

- All Implemented Interfaces:
    junit.framework.Test

  Deprecated.
  since 3.3.0. Use `SPARQL11QueryComplianceTest` instead.

      @Deprecated
      public abstract class SPARQLQueryTest
      extends junit.framework.TestCase

  A SPARQL query test suite, created by reading in a W3C working-group style manifest.
  Author:
    Jeen Broekstra

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SPARQLQueryTest.Factory` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `checkOrder` Deprecated.
    `protected Repository` | `dataRep` Deprecated.
    `protected Dataset` | `dataset` Deprecated.
    `protected String[]` | `ignoredTests` Deprecated.
    `protected boolean` | `laxCardinality` Deprecated.
    `protected org.slf4j.Logger` | `logger` Deprecated.
    `protected String` | `queryFileURL` Deprecated.
    `protected String` | `resultFileURL` Deprecated.
    `protected String` | `testURI` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLQueryTest(String testURI, String name, String queryFileURL, String resultFileURL, Dataset dataSet, boolean laxCardinality, boolean checkOrder, String... ignoredTests)` Deprecated.
    `SPARQLQueryTest(String testURI, String name, String queryFileURL, String resultFileURL, Dataset dataSet, boolean laxCardinality, String... ignoredTests)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `compareGraphs(Set<Statement> queryResult, Set<Statement> expectedResult)` Deprecated.
    `protected void` | `compareTupleQueryResults(TupleQueryResult queryResult, TupleQueryResult expectedResult)` Deprecated.
    `protected Repository` | `createRepository()` Deprecated.
    `protected static String` | `getManifestName(Repository manifestRep, RepositoryConnection con, String manifestFileURL)` Deprecated.
    `protected abstract Repository` | `newRepository()` Deprecated.
    `protected void` | `printBindingSet(BindingSet bs, StringBuilder appendable)` Deprecated.
    `protected boolean` | `readExpectedBooleanQueryResult()` Deprecated.
    `protected Set<Statement>` | `readExpectedGraphQueryResult()` Deprecated.
    `protected TupleQueryResult` | `readExpectedTupleQueryResult()` Deprecated.
    `protected String` | `readQueryString()` Deprecated.
    `protected void` | `runTest()` Deprecated.
    `protected void` | `setUp()` Deprecated.
    `static junit.framework.TestSuite` | `suite(String manifestFileURL, SPARQLQueryTest.Factory factory)` Deprecated.
    `static junit.framework.TestSuite` | `suite(String manifestFileURL, SPARQLQueryTest.Factory factory, boolean approvedOnly)` Deprecated.
    `protected void` | `tearDown()` Deprecated.
    `protected void` | `uploadDataset(Dataset dataset)` Deprecated.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final org.slf4j.Logger logger

      Deprecated.

    - #### testURI

          protected final String testURI

      Deprecated.

    - #### queryFileURL

          protected final String queryFileURL

      Deprecated.

    - #### resultFileURL

          protected final String resultFileURL

      Deprecated.

    - #### dataset

          protected final Dataset dataset

      Deprecated.

    - #### laxCardinality

          protected final boolean laxCardinality

      Deprecated.

    - #### checkOrder

          protected final boolean checkOrder

      Deprecated.

    - #### ignoredTests

          protected final String[] ignoredTests

      Deprecated.

    - #### dataRep

          protected Repository dataRep

      Deprecated.

  - ### Constructor Detail

    - #### SPARQLQueryTest

          public SPARQLQueryTest(String testURI,
                                 String name,
                                 String queryFileURL,
                                 String resultFileURL,
                                 Dataset dataSet,
                                 boolean laxCardinality,
                                 String... ignoredTests)

      Deprecated.

    - #### SPARQLQueryTest

          public SPARQLQueryTest(String testURI,
                                 String name,
                                 String queryFileURL,
                                 String resultFileURL,
                                 Dataset dataSet,
                                 boolean laxCardinality,
                                 boolean checkOrder,
                                 String... ignoredTests)

      Deprecated.

  - ### Method Detail

    - #### setUp

          protected void setUp()
                        throws Exception

      Deprecated.
      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### createRepository

          protected final Repository createRepository()
                                               throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### tearDown

          protected void tearDown()
                           throws Exception

      Deprecated.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### runTest

          protected void runTest()
                          throws Exception

      Deprecated.
      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### compareTupleQueryResults

          protected final void compareTupleQueryResults(TupleQueryResult queryResult,
                                                        TupleQueryResult expectedResult)
                                                 throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### printBindingSet

          protected final void printBindingSet(BindingSet bs,
                                               StringBuilder appendable)

      Deprecated.

    - #### compareGraphs

          protected final void compareGraphs(Set<Statement> queryResult,
                                             Set<Statement> expectedResult)
                                      throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### uploadDataset

          protected final void uploadDataset(Dataset dataset)
                                      throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### readQueryString

          protected final String readQueryString()
                                          throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### readExpectedTupleQueryResult

          protected final TupleQueryResult readExpectedTupleQueryResult()
                                                                 throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### readExpectedBooleanQueryResult

          protected final boolean readExpectedBooleanQueryResult()
                                                          throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### readExpectedGraphQueryResult

          protected final Set<Statement> readExpectedGraphQueryResult()
                                                               throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### suite

          public static junit.framework.TestSuite suite(String manifestFileURL,
                                                        SPARQLQueryTest.Factory factory)
                                                 throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### suite

          public static junit.framework.TestSuite suite(String manifestFileURL,
                                                        SPARQLQueryTest.Factory factory,
                                                        boolean approvedOnly)
                                                 throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### getManifestName

          protected static String getManifestName(Repository manifestRep,
                                                  RepositoryConnection con,
                                                  String manifestFileURL)
                                           throws QueryEvaluationException,
                                                  RepositoryException,
                                                  MalformedQueryException

      Deprecated.
      Throws:
        `QueryEvaluationException`
        `RepositoryException`
        `MalformedQueryException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.